/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Manager.java,v 1.1 2002/06/05 06:46:11 jonas Exp $
 * --------------------------------------------------------------------------
 */

package lb;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

/**
 * Manager remote interface
 * @author Philippe Durieux
 */
public interface Manager extends EJBObject {
    public void createAll(int nb) throws RemoteException;
    public void setAccounts(int d1, int c1) throws RemoteException;
    public void setValue(int v) throws RemoteException;
    public void movement() throws RemoteException;
    public boolean checkAll() throws RemoteException;
    public boolean checkAccount(int a) throws RemoteException;
}
