package org.objectweb.wssample.servlets.ws;

import org.objectweb.jonas.common.Log;

import org.objectweb.util.monolog.api.BasicLevel;
import org.objectweb.util.monolog.api.Logger;

public class JaxRpcEndpoint {

    private static Logger logger = Log.getLogger(Log.JONAS_WS_PREFIX);

    public JaxRpcEndpoint() {
    }

    public String sayHello(String name) {
	logger.log(BasicLevel.INFO, "sayHello(" + name + ") invoked.");
	return "Hello " + name;
    }

    public int getCotes() {
	logger.log(BasicLevel.INFO, "getCotes() invoked.");
	return 12;
    }

}
