// BankSession.java

package org.objectweb.clusterDemo;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

import java.util.*;

/**
 * BankSession remote interface
 */
public interface BankSession extends EJBObject {
   /**
     * credit method
     */
    public void credit(Integer accountId, String clientName, int value, String reason) throws RemoteException;

    /**
     * debit method
     */
    public void debit(Integer accountId, String clientName, int value, String reason) throws RemoteException;

    /**
     * createAccount method
     */
    public Integer createAccount(String clientName, int value) throws RemoteException;

}
